Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [composer]

Composer is a tool to manage dependencies in PHP. It supports fetching dependencies from different sources like Git, SVN, PEAR, the local filesystem, etc. and also offers automated autoloading support.

1
vote
2answers
378 views

Magento 2 Composer Error While Installing Tawk.to extension

I'm trying to install Tawk.to chat in my Magento 2.1.9 shopping site hosted on a cPanel shared server environment. And I downloaded the extension files following the guidelines are given here: ...
4
votes
4answers
5k views

Why I'm having errors after install an update from 2.1.0 to 2.1.2 with composer?

Errors after installing update from 2.1.0 to 2.1.2 PHP Warning: require(/var/www/vendor/composer/../../app/etc/NonComposerComponentRegistration.php): failed to open stream: No such file or ...
1
vote
2answers
31 views

Stop composer replacing the .htacces file

When updating Magento 2 via Composer, the .htaccess file in the Magento root directory gets overwritten with the default repository version. Therefore losing my customisations, which I have to go in ...
2
votes
2answers
962 views

PHP requirement incompatible with your PHP version | Composer module installation error

I try to install an extension using the composer: composer require magenest/module-worldpay-and-subscriptions:2.0.0 And get this: [InvalidArgumentException] Package magenest/module-worldpay-and-...
2
votes
1answer
23 views

Best Practice Magento 2 / Composer / Custom Module

Can you tell me what are the best practice when you create a custom module for a project. I would say to put the custom module related to the project in app/code/MyNamespace/MyModule and all Generic ...
2
votes
0answers
29 views

Magento2: How to install an external package without composer?

I have some packages installed under the vendor dir. Now, I need a way to take one of them out & place it somewhere else that'll allow editing the files (same as moving a Magento module to app/...
2
votes
2answers
48 views

Installing extension via Composer

I have tried to install the extension via Composer and successfully installed. After installing, I can see the extension menu in the admin panel. However, I can't see any files in the app/code ...
2
votes
3answers
28 views

How to install composer in magento

I am trying to install composer using "composer install" from my command terminal display error.
2
votes
1answer
335 views

Error composer 1.8.4 on magento 2.3.0 CE

I got this warning : Warning: Unsupported declare 'strict_types' in /home/SITE_NAME/public_html/vendor/magento/inventory-composer-installer/src/Plugin.php on line 6 And this error : Parse error: ...
1
vote
2answers
650 views

Unsupported declare 'strict_types' in Magento 2.3.0

Error : Unsupported declare strict_types in ../vendor/magento/inventory-composer-installer while install the extension using composer in Magento 2.3.0.
0
votes
1answer
94 views

How upgrade magento 2 via composer to alternative version PHP

Alternate version php 7.0.24 - my site. Native version PHP 5.2.6 - my server. Composer doesn't want to update magento (it defined version PHP 5.2.6). How to specify for the script an alternative ...
1
vote
1answer
32 views

Magento 2 upgrade 2.3

Currently trying to upgrade to the newest magento 2.3 using a script. https://devdocs.magento.com/guides/v2.3/comp-mgr/cli/cli-upgrade.html Whenever I type: php -f pre_composer_update_2.3.php -- --...
1
vote
1answer
2k views

Class 'Mpdf\Mpdf' not found

I am trying to install the magento2-pdf-generator2 extension, but I first need to install the mpdf library, I ran the composer require mpdf/mpdf command and then ran php bin/magento setup:upgrade and ...
2
votes
0answers
35 views

why deployVeniaSampleData.sh runs out of memory

Trying to run the Venia sample data deploy script bash deployVeniaSampleData.sh --yes but keeps getting mmap() failed: [12] Cannot allocate memory PHP Fatal error: Out of memory (allocated ...
2
votes
0answers
35 views

Magento 2.3.1 JSON.parse: unterminated string at line 2 column 1009

I am unable to set payment method in Magento 2.3.1. As soon as I click on the payment method button all JavaScript functions are killed. open error log nothing to show, but browser console point me ...
2
votes
1answer
46 views

How to solve upgrading Magento 2.1.1 to Magento 2.1.17?

I am faced issue when I upgrade Magento 2.1.1 to Magento 2.1.17 I changed some values in composer.json "magento/product-community-edition": "2.1.1", =>"magento/product-community-edition": "2.1.17"...
5
votes
1answer
3k views

Magento 2.2.0 - Upgrade / Migrate from Magento 2.1.9 to Magento 2.2.0 with Sample Data

Followed below commands to upgrade Magento 2.1.9 to 2.2.0 using terminal 1. composer require magento/product-community-edition 2.2.0 --no-update 2. composer require \ magento/module-bundle-...
0
votes
1answer
46 views

Magento 2: Error After Installing Sample Data using Composer

Im using Magento 2.1.8 and I already installed the sample data using composer but after running this commands setup:upgrade, setup:di:compile, indexer:reindex, cache:clean, cache:flush and changing ...
1
vote
2answers
2k views

Running composer with php7.0

I have a server where I have two versions of PHP installed (PHP-7.0 and PHP-7.1). I also have two sites one using magento2.1.5 (running PHP-7.0.18) and the other a Code Ignitor project(running PHP-7.1....
2
votes
1answer
33 views

How to mention the magento version compatibility in composer.json

I am creating a module in Magento 2. Now I am writing composer.json. Here I write supporting PHP version "require": { "php": "~5.6.0|^7.0.0", }, How do I write my module will be supported by ...
0
votes
2answers
77 views

MEQP tools run comments Issues

Im trying to run MEQP in magento 1.9.x version , but whenever I run php vendor/bin/phpcs D:\xampp\htdocs\projectname --standard=MEQP1 from the command line I get this output: dir=$(d=${0%[/\\]*}; cd "...
0
votes
1answer
333 views

Check Component Dependency, no obvious error

I am creating a test environment for magento, hoping that I can replicate later for some work on it, and have come up an issue on Check Component Dependency. the base config is as followed: Specs ...
0
votes
0answers
16 views

Magento 2 Install Composer and Setup Upgrade in 1 step: how do we get the package name?

I am reading through the Magento guide and understand the steps. However it appears to me that many -if not all - of the steps are the same everytime. https://devdocs.magento.com/guides/v2.3/comp-mgr/...
0
votes
2answers
2k views

Magento 2: Cannot load my library using composer

Sorry for the lengthy message. I just wanted to provide as much information as possible. I am writing a new module. I have a custom library that I need to load to use in my module. I have the ...
2
votes
1answer
2k views

Error failed opening

Can someone tell me what I have to do to fix it ? local:/data/web/public/app/code/community:/data/web/public/app/code/core:/data/web/public/lib:.:/usr/share/php:/usr/share/pear') in /data/web/public/...
0
votes
1answer
138 views

Im trying to install Magento via composer can't insert password

composer create-project --repository-url=https://repo.magento.com/ magento/project-enterprise-edition Authentication required (repo.magento.com): Username: d89125c*********************** ...
0
votes
1answer
164 views

Magento 2.3 Upgrade issue

I'm trying to upgrade to Magento 2.3.1 and I'm running into a problem. I was on PHP 7.1.3 and noticed in the system requirements that it requires 7.1.3 and 7.2.X. We've upgraded the server PHP version ...
1
vote
1answer
31 views

Mismatched Magento version while using composer

I currently have Magento running on Ubuntu Xampp, and attempted to run composer on a theme file, which prompted me to install a load of PHP extensions. I did this (7.2 for all of them, same as system ...
0
votes
1answer
251 views

how to upgrade from magento 2.3.0 to 2.3.1 steps (composer) [duplicate]

I want to upgrade my magento to the latest version. what are the steps to upgrade from Magento 2.3.0 to Magento 2.3.1 via composer?
1
vote
1answer
429 views

Magento 2.2.1 composer upgrade issue amazon pay

I tried to upgrade Magento 2.2.0 to version 2.2.1 via composer however i received framework error about amazon pay conflict (my amazon pay version is 1.1.4). I'm aware i need to update amazon pay to ...
0
votes
1answer
327 views

PHP Warning after upgrade from Magento 2.1.9 to 2.1.10

I'm having some issues with an installation of Magento 2 that I'm upgrading from 2.1.9 to the 2.1.10 security update. I'm following the cli-upgrade instructions. I'm running all commands as root. I ...
1
vote
0answers
17 views

Magento2 error while extension installation in create backup step

In my magento2 store I want to install the extension. I have tried this via composer as well as admin extension manager. Every time the process failed in Backup stage after generating the 4Gb of data ...
1
vote
0answers
13 views

How magento2 extension available in composer

We have planning to submit a magento2 extension into Magento marketplace. Currently extension hosted in GitHub private repository. After successful approval from "Magento marketplace" (Marketing ...
6
votes
1answer
942 views

Error during upgrade to Magento 2.1 from 2.0.7

Since a couple of days i try to upgrade my "native" Magento 2.0.7 I use composer as suggested by documentation : composer require magento/product-community-edition 2.1.0 --no-update; composer update; ...
0
votes
2answers
37 views

extension not remove via composer

i have disable extension after i can remove extension via composer like this way php bin/magento module:disable <ExtensionProvider_ExtensionName> --clear-static-content php bin/magento setup:...
2
votes
0answers
36 views

NGINX 404 error despite Magento Installation complete on CentOS 7 terminal

I am trying to load the /admin part of my development build of the website. I am unsure what could be the cause of this. Using this command: (Some of these details are intentionally not in line with ...
3
votes
1answer
28 views

Magento 2.3.0 Shared Server Are Different PHP Version(s) An Issue

I’m trying to install Magento 2.3 with Composer, with php 72. I am hosted on a shared cloud server that has php 70 as the server version (what php -v returns). I can set the local version of php to ...
2
votes
1answer
581 views

Magento 2 deployment from Dev to Staging using Git

I have a local Dev environment and installed Magento 2 using composer I initialized the local /magneto2/ folder as a Git repo I added this .gitignore file to the root of my /magneto2/ folder I have a ...
1
vote
1answer
602 views

Could not find package 2.2.3

When updating from 2.2.2 to 2.2.3 with composer require magento/product-community-edition 2.2.3 --no-update I get this error: [InvalidArgumentException] Could not find package magento/product-...
0
votes
2answers
3k views

Magento2 Installation: Composer PHP version errors on Windows

I tried to install Magento2 on Windows which runs PHP 5.5.19 and MySQL 5.6.X versions (from xampp package) through Composer, but I received the following errors after running composer install (please ...
0
votes
1answer
640 views

How to use a library using composer in a Magento 2 module

At the moment I'm developing a module for Magento 2. I'm using a third party library ("twizo/lib-api-php") and installed it using composer. When I use a class from this library, Magento gives me the ...
0
votes
2answers
625 views

Can't upgrade to 2.2.3 from 2.2.2. Memory limit reached

I'm trying to upgrade my Magento installation but experiencing problems with the process: I was trying to update my site to the latest release as advised and I did so via the command line but I ran ...
3
votes
3answers
527 views

Errors during installation- Submitting Package to Magento Marketplace

I am trying submit one Magento2 Extension on Magento2 marketplace but i am getting following error: Problem 1 Environment: Operating System - Centos 7, PHP Version - 5.6 , Magento Platform - 2.1 ...
1
vote
0answers
227 views

Composer command not running magento2

I am trying to run the following command - composer require ebizmarts/mailchimp-lib But I am getting following error on command line - [UnexpectedValueException] ...
2
votes
2answers
34 views

Composer merge conflicts

We have a develop branch. Every new feature gets created on a branch that runs off the develop branch. Then a pull request is made to the develop branch. This triggers our CI/CD and slowly but ...
0
votes
2answers
742 views

Outdated Amazon_core after composer update (Magento 2.2.4)

I am getting this error: Amazon_Core db schema version: defined in codebase - 2.0.12, currently installed - 2.0.4 and Amazon_Core db data version: defined in codebase - 2.0.12, currently installed -...
2
votes
2answers
47 views

Magento 2 : How to override a custom module which install via composer?

I have installed one custom module using composer as usually that module was installed in vendor directory is there any way to override phtml file in the same module like name but on app/code module ...
2
votes
4answers
514 views

Magento 2: Composer Only Instalation

I'm trying to write up a tutorial explaining how to install Magento 2 only via composer, and use that tutorial as an in to exploring how third party composer repositories work. Looking at the current ...
4
votes
1answer
138 views

Magento2 | Which procedure to upgrade to 2.2.6 in area development / GIT?

We have started development on a Magento CE 2.2.5 and installed theme / modules and custom module. We are working with local project/server versioned with GIT. The gitignore file specify to ...
3
votes
1answer
67 views

How to make and install my module via composer with two private repositories in magento 2

Problem Description: I have created two private repositories in github under same user name. Each repository contains different modules. But while trying to install the package via composer throws ...